aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64
diff options
context:
space:
mode:
authorFrederik Gladhorn <frederik.gladhorn@qt.io>2018-02-21 12:26:09 +0100
committerLiang Qi <liang.qi@qt.io>2018-04-18 18:14:09 +0000
commit8c9174127a64f2841d4f8415b4f3ba728bc979d4 (patch)
tree6b04b96cb03d376ab3aefd48a130905f1b8a05c2 /coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64
parentac8a85582b67913c9ae095ad46547982a53b27ff (diff)
Uninstall aptdaemon/aptd before using apt
This removes various kinds of update notifiers that depend on aptd. Also gets rid of the problem that aptd may hold apt lock files. Task-number: QTQAINFRA-1755 Change-Id: I27dd6fef4720ef25a504d76a3da16d9bf45fb2f7 Reviewed-by: Sami Nurmenniemi <sami.nurmenniemi@qt.io> Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io> (cherry picked from commit b20224fe6002eb930f7921a4fe235662dd6055f7) Reviewed-by: Frederik Gladhorn <frederik.gladhorn@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64')
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh
index a2132209..7116f761 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh
@@ -51,6 +51,19 @@ try
sudo systemctl stop $service
sudo systemctl disable $service
done
+
+ # aptdaemon is used by update notifiers and similar and there is no point in having those (the symptom is aptd holding a lock)
+ for i in `seq 10`; do
+ echo attempting to remove aptdaemon
+ sudo DEBIAN_FRONTEND=noninteractive apt-get -q -y remove aptdaemon || true
+ # check that aptdaemon is no longer installed
+ which aptd > /dev/null || break
+ if [[ $i -eq 10 ]]; then
+ throw $ExceptionAPT
+ fi
+ sleep 10
+ done
+
# Git is not needed by builds themselves, but is nice to have
# immediately as one starts debugging
installPackages+=(git)